Summary: C Library for NVME device managementon Linux
Name: libnvme
Version: 1.4
Release: 2%{?dist}
License: LGPLv2+
URL: https://github.com/linux-nvme/libnvme
Source0: https://github.com/linux-nvme/libnvme/archive/refs/tags/v%{version}.tar.gz

BuildRequires: gcc gcc-c++ swig meson >= 0.50.0
BuildRequires: python3-devel libuuid-devel
BuildRequires: json-c-devel >= 0.13 openssl-devel
BuildRequires: keyutils-devel

%description
This package provides the libnvme development C library. Libnvme provides type definitions for NVMe 
specification structures, enumerations, and bit fields, helper functions to construct, 
dispatch, and decode commands and payloads, and utilities to connect, scan, and manage 
nvme devices on a Linux system.


%package devel
Summary: Development files for libnvme
Requires: libnvme = %{version}-%{release}

%description devel
This package provides header files to include and libraries to link with
for Linux-native nvme device management.

	
%package doc
Summary: Reference manual for libnvme
BuildRequires: perl-interpreter
BuildArch: noarch

%description doc
This package contains the reference manual for libnvme.


%package -n python3-libnvme
Summary:  Python3 bindings for libnvme
Requires: libnvme = %{version}-%{release}
Provides: python3-nvme = %{version}-%{release}
Provides: python3-libnvme

%description -n python3-libnvme
This package contains Python bindings for libnvme.

%prep
%autosetup -n %{name}-%{version}

%build
%meson -Dpython=enabled -Ddocs=man -Ddocs-build=true 
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_pkgdocdir}
install -p -m 644 README.md %{buildroot}%{_pkgdocdir}
install -p -m 644 doc/config-schema.json %{buildroot}%{_pkgdocdir}

%files
%license COPYING ccan/licenses/*
%{_libdir}/libnvme.so.1
%{_libdir}/libnvme.so.%{version}.0
%{_libdir}/libnvme-mi.so*

%files devel
%{_libdir}/libnvme.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/nvme
%{_includedir}/libnvme.h
%{_includedir}/libnvme-mi.h
%{_includedir}/nvme/*.h

%files doc
%doc %{_pkgdocdir}
%{_mandir}/man2/*.2*

%files -n python3-libnvme
%dir %{python3_sitearch}/libnvme
%{python3_sitearch}/libnvme/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.4-1
- Update to version 1.4

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 1.2-1
- upgrade to 1.2 for nvme-stas

* Mon Jul 11 2022 Yi Lin <nilusyi@tencent.com> - 1.0-1
- Initial packaging
